[package]
name = "otg-gtk"
version = "0.1.0"
edition = "2021"

[features]
screenplay = []

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
adw             = { version = "0.5", package = "libadwaita", features = [ "v1_4" ] }
async-channel   = { version = "2" }
async-std       = { version = "1" }
cairo-rs        = { version = "0.18" }
gio             = { version = "0.18" }
glib            = { version = "0.18" }
gtk             = { version = "0.7", package = "gtk4", features = [ "v4_10" ] }
image           = { version = "0.24" }
otg-core        = { path = "../core" }
pango           = { version = "*" }
sgf             = { path = "../../sgf" }
tokio           = { version = "1.26", features = [ "full" ] }
uuid            = { version = "0.8", features = ["v4", "serde"] }

[build-dependencies]
glib-build-tools = "0.17"

